### Method

# Gtk Entry set_icon_tooltip_text

#### Declaration [src]

    void
    gtk_entry_set_icon_tooltip_text (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      const char* tooltip
    )

#### Description [src]

Sets `tooltip` as the contents of the tooltip for the icon at the specified position.

Use `NULL` for `tooltip` to remove an existing tooltip.

See also gtk_widget_set_tooltip_text() and gtk_entry_set_icon_tooltip_markup().

If you unset the widget tooltip via gtk_widget_set_tooltip_text() or gtk_widget_set_tooltip_markup(), this sets `GtkWidget:has-tooltip` to `FALSE`, which suppresses icon tooltips too. You can resolve this by then calling gtk_widget_set_has_tooltip() to set `GtkWidget:has-tooltip` back to `TRUE`, or setting at least one non-empty tooltip on any icon achieves the same result.

#### Parameters

`icon_pos` | `GtkEntryIconPosition`
| The icon position.
`tooltip` | `const char*`
| The contents of the tooltip for the icon.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.